package com.mirs.biz.dto;

import com.mirs.biz.domain.BrdfData;
import com.mirs.biz.domain.EmiMeasurement;
import com.mirs.biz.domain.IntegratedData;
import com.mirs.biz.domain.Sample;
import com.mirs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class IndexResultDTO extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Sample sample;
    private List<BrdfData> brdfDataList;
    private List<EmiMeasurement> emiMeasurementList;
    private List<IntegratedData> integratedDataList;
}
